## RygelLogicalExpression

RygelLogicalExpression — This is a parsed UPnP search expression consisting of two other search expressions joined by a boolean operator such as AND or OR.

## Functions

RygelLogicalExpression * | rygel_logical_expression_new ()

## Types and Values

#define | RYGEL_TYPE_LOGICAL_EXPRESSION
struct | RygelLogicalExpression
struct | RygelLogicalExpressionClass
enum | RygelLogicalOperator

## Object Hierarchy

        GEnum
        ╰── RygelLogicalOperator
        RygelSearchExpression
        ╰── RygelLogicalExpression

## Description

## Functions

### rygel_logical_expression_new ()

    RygelLogicalExpression *
    rygel_logical_expression_new (void);

## Types and Values

### RYGEL_TYPE_LOGICAL_EXPRESSION

    #define RYGEL_TYPE_LOGICAL_EXPRESSION (rygel_logical_expression_get_type ())

The type for RygelLogicalExpression.

### struct RygelLogicalExpression

    struct RygelLogicalExpression;

This is a parsed UPnP search expression consisting of two other search expressions joined by a boolean operator such as AND or OR.

### struct RygelLogicalExpressionClass

    struct RygelLogicalExpressionClass {
    	RygelSearchExpressionClass parent_class;
    };

The class structure for `RYGEL_TYPE_LOGICAL_EXPRESSION`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RygelLogicalOperator

#### Members

RYGEL_LOGICAL_OPERATOR_AND |  |
RYGEL_LOGICAL_OPERATOR_OR |  |